#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s;
    int n,i,pp,m[26];
    bool b[26],r;
    r=true;
    cin>>s;
    n=s.length();
    for(i=0;i<26;i++)
    {
        b[i]=false;
    }
    for(i=0;i<n;i++)
    {
        pp=(int)s[i]-97;
        if(!b[pp])
        {
            b[pp]=true;
            m[pp]=i;
        }
        else if(b[pp]&&(i-m[pp])%2==1)
        {
            r=false;
            break;
        }
    }
    if(r)
    {
        printf("0");
    }
    else if(!r)
    {
        printf("1");
    }
    return 0;
}